@charset "utf-8";
@font-face {
    font-family: mainFontFamily;
    font-weight:400;
    font-style:normal;
    font-variant:normal;
    src: url('../fonts/arialbd.ttf');
}
a,input,button{-webkit-tap-highlight-color: rgba(0,0,0,0);}
input,button{-webkit-appearance: none;border-radius: 0;font-family: mainFontFamily;}
body{-webkit-user-select: none; -webkit-text-size-adjust: 100%;}
a{text-decoration: none; color: #fff;}
input{outline: none; vertical-align: middle;}
img{vertical-align: middle;}
ul{margin:0; padding:0; list-style: none;}
h3,h4,p{margin:0;}
a{border:none;-webkit-tap-highlight-color: rgba(0,0,0,0);-webkit-tap-highlight-color:transparent;outline:none;text-decoration:none;}
textarea {
    -webkit-user-select:initial;
    font-family:mainFontFamily;
    border:none;
}
/*禁止多行文本框textarea拖拽*/
textarea {
    resize: none;
}
/*去除谷歌等浏览器默认发光边框*/
input:focus, textarea:focus {
    outline: none;
    background: #fff;
    /*border: none;*/
    -webkit-tap-highlight-color:rgba(0,0,0,.0);
    /*border: 1px solid orange;用户自己添加样式，载入焦点时，边框颜色*/
}

.hidden{display: none;}
.none{display: none!important;}
.left{float:left;}
.right{float:right;}
.clearfix:after{content:''; display: block; clear: both;}
.flex{display: flex;justify-content: center;align-content: center}
.flex-between{display: flex; justify-content: space-between; align-items: center;}
.flex-column{flex-direction: column;}
.flex1{flex: 1;}
html, body{font-family: mainFontFamily; margin: 0; height: 100%;}
.container{max-width: 768px; margin: 0 auto; height: 100%;}
.btn:focus{outline: none;}
.ellipsis{overflow:hidden;text-overflow:ellipsis;white-space:nowrap;}
.flex-b-w{display:flex;justify-content:space-between;flex-wrap:wrap;}
.flex-shrink0{flex-shrink: 0;}
.f-l{float:left;}
.f-r{float:right;}
.clear{clear: both;}
.t-c{text-align:center;}
.color-main{color: #FF6600;}
.btn-gradients{background: linear-gradient(#EC6000, #EC6000);}
.no-data{text-align: center;font-size: 20px;font-weight: bold;padding: 20px;}

.custom-mySwal2 {padding: 2.25em 1.25em 1.25em!important;}
.custom-mySwal2 .swal2-header .swal2-title {font-size: 22px; font-weight: 600!important;}
.custom-mySwal2 .swal2-content {font-size: 13px!important;}
.custom-mySwal2 .swal2-actions {margin: 0.5em 0 0!important;}
.custom-mySwal2 .swal2-close {font-size: 2em!important;}
.mySwal2-btn-confirm {flex: 1!important;border-radius: 100px!important;}
.mySwal2-btn-cancel {flex: 1!important;border-radius: 100px!important;}
.custom-mySwal2 .swal2-icon.swal2-success .swal2-success-ring{border: .25em solid #FF6600!important;}
.custom-mySwal2 .swal2-icon.swal2-error {border-color: #FF6600!important;}
.custom-mySwal2 .swal2-icon.swal2-error [class^=swal2-x-mark-line] {background-color: #FF6600!important;}
.custom-mySwal2 .swal2-icon.swal2-success [class^=swal2-success-line] {background-color: #FF6600!important;;}
.swal2-popup .swal2-styled.swal2-cancel{color:black!important;}
/*.com-custom-swal .swal2-header .swal2-title {font-size: 20px; font-weight: 400!important;}*/
.com-custom-swal .swal2-header .swal2-title {font-size: 22px; font-weight: 600!important;}
.com-custom-swal .swal2-actions {margin: 0.75em 0 0!important;}

.draw-custom-swal {border-radius: 0!important;}
.draw-custom-swal .swal2-header .swal2-title {font-size: 20px; font-weight: 400!important;}
.draw-custom-swal .swal2-actions {margin: 1.25em 0 0!important;}
.draw-custom-swal .swal2-content {padding: 0 5%!important;}
.draw-btn-confirm {
    border-radius: 100px!important;
    background: #4A4A48!important;
    color: #FFF!important;
    width: 38%!important;
    white-space: nowrap!important;
    text-align: center!important;
    padding: .425em 0!important;
    font-size: 16px!important;
}
.draw-btn-cancel {
    border-radius: 100px!important;
    background: #FF6600!important;
    color: #FFF!important;
    width: 38%!important;
    white-space: nowrap!important;
    text-align: center!important;
    padding: .425em 0!important;
    font-size: 16px!important;
}

.error-page{background-color: #000000; min-height: 100%;}
.error-page .error-box{padding-top: 50px;}
.error-page .error-box .image-500{background: url(../images/lottery/error_img2.png) no-repeat center/auto 100%; height: 254px;}
.error-page .error-box .image-404{background: url(../images/lottery/error_img1.png) no-repeat center/auto 100%; height: 254px;}
.error-page .error-box .error-tips{color: #fff; text-align: center; padding-top: 30px;}
.error-page .error-box .error-back{text-align: center; color: #5C2B83; font-size: 18px; margin-top: 40px;}
.error-page .error-box .btn-back {background: #FF6600; padding: 8px 80px; margin: 0 auto; color: #333333; height: 28px; border-radius: 100px;}
.com-title-bar{display: flex; justify-content: space-between; align-items: center; padding: 14px; background-color: #fff; position: fixed; z-index: 1; width: 100%; top: 0;}
.com-title-bar .bar-left, .com-title-bar .bar-right{width: 34px;}
.com-title-bar .bar-left .bar-back{width: 24px;}

.com-footer{padding: 0 0 10% 0; text-align: center; margin-top: -3%;}
.com-footer>img{width: 40%;}

.com-tab {
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: 100%;
    font-size: 18px;
    background-color: #FFF;
}

.com-tab.around {
    justify-content: space-around;
    padding: 15px 0 8px;
}

.com-tab .tab-item {
    /*flex: 1;*/
    /*text-align: center;*/
    position: relative;
    color: #999;
    padding-bottom: 5px;
 }

.com-tab .tab-item.active {
    color: #333;
}

.com-tab .tab-item.active:after {
    position: absolute;
    bottom: 0;
    left: 50%;
    transform: translateX(-50%);
    content: ' ';
    width: 30px;
    height: 3px;
    background-color: #F67416;
    border-radius: 50px;
    line-height: 1px;
}

/* 业务专区 */
.com-margin-zone {
    margin: 20px 15px;
}

.com-line {
    width: 100%;
    height: 10px;
    background-color: #EEE;
}

.com-zone {
    color: white;
}

.com-zone .zone-header {
    display: flex;
    align-items: center;
    justify-content: space-between;
    font-size: 16px;
}

.com-zone .zone-header .header-title {
    font-weight: bold;
}

.com-zone .zone-header .header-detail {
    color: #969696;
}

.com-zone .zone-body {
    margin-top: 6px;
}

.com-zone .zone-body.zone-panel-h {
    white-space: nowrap;
    overflow-x: scroll;
}

.com-zone .zone-body.zone-panel-v {
    overflow: hidden;
}

.song-cube-item {
    display: inline-block;
    width: 100px;
    text-align: left;
    margin-right: 10px;
    font-size: 13px;
}

.song-cube-item .song-pic {
    width: 100px;
    height: 100px;
    border-radius: 5px;
}

.song-cube-item .song-txt {
    font-size: 13px;
    line-height: 13px;
    margin: 5px 0;
}

.song-cube-item .song-cost {
    color: #6eac40;
    margin: 5px 0;
}

.song-cube-item .song-btns {

}

.song-cube-item .song-btns>span {
    margin-right: 3px;
}

.song-cube-item .song-btns .btns-play {
    display: inline-block;
    width: 25px;
    height: 25px;
    background: url(../images/ic_play.png) no-repeat center center/100% 100%;
}

.song-cube-item .song-btns .btns-play.active {
    background: url(../images/ic_suspend.png) no-repeat center center/100% 100%;
}

.song-cube-item .song-btns .btns-download {
    display: inline-block;
    width: 25px;
    height: 25px;
    background: url(../images/ic_download.png) no-repeat center center/100% 100%;
}

.song-cube-item .song-btns .btns-share {
    display: inline-block;
    width: 25px;
    height: 25px;
    background: url(../images/ic_share_3.png) no-repeat center center/100% 100%;
}

.song-cube-item .song-btns .btns-redeem-tone {
    display: inline-block;
    width: 25px;
    height: 25px;
    background: url(../images/ic_download.png) no-repeat center center/100% 100%;
}

.song-item {
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin-bottom: 15px;
}

.song-item.white {
    background-color: #FFF;
    padding: 15px 10px;
    border-radius: 8px;
}

.song-item .song-pic {
    width: 60px;
    height: 60px;
    margin-right: 8px;
    border-radius: 5px;
    align-self: flex-start;
}

.song-item .song-info {
    flex: 1;
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.song-item .song-info .info-name {
    font-weight: bold;
    margin-bottom: 5px;
    font-size: 13px;
}

.song-item .song-info .info-singer {
    color: #949494;
    font-size: 12px;
    margin-bottom: 5px;
}

.song-item .song-info .info-data {
    color: #949494;
    font-size: 12px;
    display: flex;
    align-items: center;
}

.song-item .song-info .info-data>div {
    display: flex;
    align-items: center;
}
/* 分享彩印 */
.alert-func-title {
    font-size: 22px;
    font-weight: bold;
    margin-bottom: 10px;
    text-align: center;
}
.alert-func-desc {
    text-align: left;
}
.alert-func-sign {
    width: 180px;
    height: 150px;
    display: -webkit-box;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 5px;
    padding: 0 8px;
    background-color: #505050;
    margin: 15px auto;
}
.alert-func-sign pre {
    display: inline-block;
    text-align: left;
    white-space: pre-wrap;
    word-wrap: break-word;
    word-break: break-all;
    padding: 0 8px;
    color: #FFF;
}
.song-type {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    margin: 10px 5px;
}
.song-type>img {
    height: 90px;
    border-radius: 5px;
}
.song-type .txt {
    margin-top: 5px;
    font-size: 13px;
}
.alert-func-ipt input {
    display: block;
    box-sizing: border-box;
    width: 80%;
    height: 35px;
    line-height: 35px;
    margin: 0 auto;
    font-size: 16px;
    text-align: center;
    border: 2px solid #FF6600;
    border-radius: 50px;
    color: #666;
    background-color: #f1ffef;
}
/* 分享、赠送彩印 */
.song-item .song-info .info-data>div:not(:last-child):after {
    content: ' ';
    width: 2px;
    height: 12px;
    background-color: #d9d9d9;
    margin: 0 10px;
}

.song-item .song-info .info-data .time .pic {
    display: inline-block;
    width: 13px;
    height: 13px;
    margin-right: 5px;
    background: url(../images/ic_music_time.png) no-repeat center top/100% 100%;
}

.song-item .song-info .info-data .download .pic {
    display: inline-block;
    width: 13px;
    height: 13px;
    margin-right: 5px;
    background: url(../images/ic_music_download.png) no-repeat center top/100% 100%;
}

.song-item .song-info .info-ext {
    display: flex;
    margin-top: 5px;
    font-size: 12px;
    justify-content: space-between;
}

.song-item .song-info .info-ext .days {
    color: #666;
}

.song-item .song-info .info-ext .price {
    color: #6eac40;
}

.song-item .song-btns {

}

.song-item .song-btns .btns-play {
    display: inline-block;
    width: 25px;
    height: 25px;
    background: url(../images/ic_play.png) no-repeat center center/100% 100%;
    margin-left: 6px;
}

.song-item .song-btns .btns-play.active {
    background: url(../images/ic_suspend.png) no-repeat center center/100% 100%;
}

.song-item .song-btns .btns-download {
    display: inline-block;
    width: 25px;
    height: 25px;
    background: url(../images/ic_download.png) no-repeat center center/100% 100%;
    margin-left: 6px;
}

.song-item .song-btns .btns-share {
    display: inline-block;
    width: 25px;
    height: 25px;
    background: url(../images/ic_share_3.png) no-repeat center center/100% 100%;
    margin-left: 6px;
}

.song-item .song-btns .btns-redeem-tone {
    display: inline-block;
    width: 25px;
    height: 25px;
    background: url(../images/ic_download.png) no-repeat center center/100% 100%;
    margin-left: 6px;
}

.sign-item {
    display: inline-block;
    width: 260px;
    height: 120px;
    background-color: white;
    color: black;
    margin: 8px 10px 8px 0;
    padding: 0 6px;
    border-radius: 8px;
    box-shadow: 0 0 12px rgba(0,0,0,.2);;
}

.sign-item:first-child {
    margin-left: 15px;
}

.sign-item:last-child {
    margin-right: 15px;
}

.sign-item .item-content {
    width: 100%;
    height: 80px;
    display: flex;
    align-items: center;
    justify-content: center;
    overflow: hidden;
}

.sign-item .item-btns {
    text-align: right;
    display: flex;
    align-items: center;
    justify-content: flex-end;
}

.sign-item .item-btns .btns-share{
    display: inline-block;
    width: 60px;
    height: 20px;
    border-radius: 50px;
    padding: 4px 0;
    margin-right: 5px;
    background: url(../images/share_02.png) no-repeat center center/100% auto;
}
.sign-item .item-btns .btns-set {
    display: inline-block;
    width: 60px;
    height: 20px;
    border-radius: 50px;
    padding: 4px 0;
    margin-right: 5px;
    background: url(../images/add_01.png) no-repeat center center/100% auto;
}

.sign-list {

}

.sign-list .sign-list-item {
    width: 100%;
    /*height: 130px;*/
    min-height: 80px;
    background-color: #FFF;
    margin: 15px auto;
    padding: 0px 10px;
    border-radius: 10px;
    box-sizing: border-box;
    display: flex;
    align-items: center;
    box-shadow: 0 0 20px rgba(0,0,0,.2);
}

.sign-list .sign-list-item .item-pic {
    width: 60px;
    height: 60px;
    border-radius: 50px;
    background: url(../images/ic_signature.png) no-repeat center center/auto 100%;
}

.sign-list .sign-list-item .item-pic.pic1 {
    background: url(../images/ic_signature1.png) no-repeat center center/auto 100%;
}

.sign-list .sign-list-item .item-pic.pic2 {
    background: url(../images/ic_signature2.png) no-repeat center center/auto 100%;
}

.sign-list .sign-list-item .item-pic.pic3 {
    background: url(../images/ic_signature3.png) no-repeat center center/auto 100%;
}

.sign-list .sign-list-item .item-pic.pic4 {
    background: url(../images/ic_signature4.png) no-repeat center center/auto 100%;
}

.sign-list .sign-list-item .item-pic.pic5 {
    background: url(../images/ic_signature5.png) no-repeat center center/auto 100%;
}

.sign-list .sign-list-item .item-pic.pic6 {
    background: url(../images/ic_signature6.png) no-repeat center center/auto 100%;
}

.sign-list .sign-list-item .item-text {
    flex: 1;
    padding: 0 8px;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    overflow: hidden;
    font-size: 13px;
    color: black;
}

.sign-list .sign-list-item .item-btn {
    display: inline-block;
    width: 60px;
    height: 20px;
    text-align: center;
    color: #FFF;
    border-radius: 50px;
    padding: 4px 0;
    background: url(../images/add_01.png) no-repeat center center/100% auto;
}
.sign-list .sign-list-item  .btn-share{
    color: #6EAC40;
    width: 60px;
    height: 20px;
    text-align: center;
    border-radius: 50px;
    padding: 4px 0;
    background: url(../images/share_02.png) no-repeat center center/100% auto;
}
.redeem-item {
    width: 48%;
    margin: 8px 0;
}

.redeem-item .redeem-pic {
    width: 100%;
    height: 150px;
    border-top-left-radius: 15px;
    border-top-right-radius: 15px;
}

.redeem-item .redeem-info {
    text-align: left;
    border-bottom: 2px solid #F1F1F1;
    border-left: 2px solid #F1F1F1;
    border-right: 2px solid #F1F1F1;
    border-bottom-left-radius: 15px;
    border-bottom-right-radius: 15px;
    padding: 10px 5px;
    font-size: 13px;
    line-height: 18px;
    height: 75px;
    display: flex;
    flex-direction: column;
    justify-content: space-around;
}

.redeem-item .redeem-info .info-txt {

}

.redeem-item .redeem-info .info-cost {
    color: #6eac40;
}

.redeem-item .redeem-info .info-btn {
    text-align: right;
}

.redeem-item .redeem-info .info-btn>span {
    background-color: #6eac40;
    color: #FFF;
    border-radius: 50px;
    display: inline-block;
    padding: 5px 10px;
}

.rbt-download-panel {
    text-align: left;
}

.rbt-download-panel .rbt-info {
    display: flex;
    align-items: center;
}

.rbt-download-panel .rbt-info .info-pic {
    width: 60px;
    height: 60px;
    border-radius: 5px;
    /*background: #333;*/
    margin-right: 8px;
}

.rbt-download-panel .rbt-info .info-pic>img {
    width: 100%;
    height: 100%;
    border-radius: 8px;
}

.rbt-download-panel .rbt-info .info-txt {

}

.rbt-download-panel .rbt-info .info-txt .name {
    font-weight: bold;
}

.rbt-download-panel .rbt-info .info-txt .singer {
    color: #949494;
}

.rbt-download-panel .ext-info {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-top: 10px;
}

.rbt-download-panel .ext-info .price {
    font-weight: bold;
}

.rbt-download-panel .ext-info .price .num {
    color: #FF6600;
}

.rbt-download-panel .ext-info .days {
    font-weight: bold;
}

.sign-set-panel {

}

.sign-set-panel .sign-show {
    width: 180px;
    height: 150px;
    display: -webkit-box;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 5px;
    padding: 0 8px;
    background-color: #505050;
    margin: 15px auto;
}

.sign-set-panel .sign-show pre {
    display: inline-block;
    text-align: left;
    white-space: pre-wrap;
    word-wrap: break-word;
    word-break: break-all;
    padding: 0 8px;
    color: #FFF;
}
/* 业务专区 */

/* 自定义弹框---START */
.com-alert {
    display: flex;
    align-items: center;
    justify-content: center;
    position: fixed;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    z-index: 999;
    background-color: rgba(0,0,0,.4);
}
.com-alert .alert-panel {
    width: 95%;
    background-color: white;
    border-radius: 15px;
    padding-bottom: 30px;
}
.com-alert .alert-panel .panel-header {
    height: 60px;
    line-height: 60px;
    background-color: #FFCC00;
    border-top-left-radius: 15px;
    border-top-right-radius: 15px;
    border-bottom-left-radius: 60%;
    border-bottom-right-radius: 60%;
    text-align: center;
    font-size: 22px;
    font-weight: bold;
}
.com-alert .alert-panel .panel-body {
    padding: 0 10px;
    margin: 10px 0;
    overflow-y: scroll;
    max-height: 320px;
}
.com-alert .alert-panel .panel-footer {
    display: flex;
    justify-content: center;
    align-items: center;
}
.com-alert .alert-panel .panel-footer .footer-btn {
    background-color: #4A4A48;
    width: 38%;
    white-space: nowrap;
    text-align: center;
    padding: .525em 0;
    font-size: 12px;
    color: #fff;
    margin: .3125em;
    font-weight: 500;
    border-radius: 100px;
}
.com-alert .alert-panel .panel-footer .footer-btn.btn-cancel {
    background-color: #FF6600;
    color: black;
}
/* 自定义弹框---END */

pre {
    white-space: pre-wrap;
    /*word-wrap: break-word;*/
    word-break: break-all;
    font-family: mainFontFamily;
}

.icon {
    display: inline-block;
}

.icon.icon-top-1 {
    width: 15px;
    height: 19px;
    margin-right: 5px;
    background: url(../images/lottery/ic_top1.png) no-repeat center top/100% 100%;
}

.com-coupons-jagged {
    height: 100px;
    width: 100%;
    background: radial-gradient(circle at 100px top, transparent 15px,  #FFFFFF 0) top left /100% 51% no-repeat,
    radial-gradient(circle at 100px bottom, transparent 15px,  #FFFFFF 0) bottom left /100% 51% no-repeat;
    border-radius: 10px;
    filter: drop-shadow(0 0 5px rgba(0,0,0,.3));
    margin: 20px 0;
    display: flex;
    align-items: center;
}

.com-coupons-jagged:after {
    content: ' ';
    height: 65%;
    border-left: 2px dashed #CCC;
    position: absolute;
    top: 50%;
    left: 100px;
    transform: translateY(-50%);
}

.com-coupons-jagged .coupons-head {
    width: 100px;
    height: 100px;
}

.com-coupons-jagged .coupons-body {
    flex: 1;
    padding: 5px 5px 5px 15px;
    font-size: 13px;
}

.com-coupons {
    /*height: 100px;*/
    width: 100%;
    background-color: #FFF;
    border-radius: 10px;
    filter: drop-shadow(0 0 5px rgba(0,0,0,.3));
    margin: 20px 0;
    display: flex;
    align-items: center;
    position: relative;
}

.com-coupons:after {
    content: ' ';
    height: 80%;
    /*border-left: 2px dashed #CCC;*/
    position: absolute;
    top: 50%;
    left: 100px;
    transform: translateY(-50%);
}

.com-coupons .coupons-head {
    width: 100px;
    height: 100px;
}

.com-coupons .coupons-body {
    flex: 1;
    padding: 5px 5px 5px 15px;
    font-size: 13px;
}

.sub-confirm-box {
    margin-left: 25px;
}

.sub-confirm-box .box-pkg {
    display: flex;
    align-items: center;
    margin: 5px 0;
}

.sub-confirm-box .box-pkg input {
    -webkit-appearance: radio;
    border-radius: unset;
    width: 20px;
    height: 20px;
    margin-right: 5px;
}

.sub-confirm-box .box-pkg label {
    font-size: 18px;
    padding-top: 3px;
}